Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class FTIndexIterator

    java.lang.Object
      org.basex.index.IndexIterator
          org.basex.index.FTIndexIterator

    public abstract class FTIndexIterator

extends IndexIterator

This interface provides methods for returning index results.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`FTIndexIterator()`

Method Summary
`int` | `indexSize()` Returns the number of index entries.
`abstract FTMatches` | `matches()` Returns the next match.
`static FTIndexIterator` | `phrase(FTIndexIterator i1, FTIndexIterator i2, int dis)` Merges two index array iterators.
`void` | `setTokenNum(byte tn)` Sets the unique token number.

Methods inherited from class org.basex.index.IndexIterator
`more, next, score`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTIndexIterator

    public FTIndexIterator()

Method Detail

### matches

    public abstract FTMatches matches()

  Returns the next match.

  Returns:
    next match

### setTokenNum

    public void setTokenNum(byte tn)

  Sets the unique token number. Used for visualization.

  Parameters:
    `tn` - number of tokens

### indexSize

    public final int indexSize()

  Returns the number of index entries.

  Returns:
    number of index entries

### phrase

    public static FTIndexIterator phrase(FTIndexIterator i1,
                                         FTIndexIterator i2,
                                         int dis)

  Merges two index array iterators.

  Parameters:
    `i1` - first index array iterator to merge
    `i2` - second index array iterator to merge
    `dis` - word distance
  Returns:
    IndexArrayIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD